Subject: bug#23738: [feature request] eww allow multiple buffer

From: Mark Oteiza <[email-masked]>
Date: Tue, 24 Jan 2017 17:38:47 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> Andreas Röhler <[email-masked]> writes:
>
>> I'm using eww to navigate running a test2speech app
>> sentence-by-sentence. Thanks a lot enabling that!
>>
>> Now would like to open a bunch of stuff that way, not just a single
>> page. The buffer name should indicate the source somehow. "Instead of
>> hard-coded "*eww*", add some initials from URL for example.
>>
>> So when opening http://www.gnu.org/
>>
>> buffer-name might appear as "*eww-go*"
>
> I've now altered `eww-browse-url' when used with a `new-window'
> parameter so that it'll create new buffer names based on the host.
> It'll look like *eww-www.gnu.org*, though.

What happens when I navigate to another site in the same buffer?  Then
the buffer name is deceptive.  Both s and S show the site and/or title,
and the header line of the eww buffer always has both, so this change seems
strange IMHO.